import { Edge } from "@antv/x6";
import { LineType } from "@/enum";
import { defaultData } from "@/config/data";

export const BaseEdge: Edge.Properties = {
  router: "manhattan",
  attrs: {
    line: {
      stroke: "#323232",
      strokeDasharray: LineType.solid,
      strokeWidth: 2,
      sourceMarker: {
        name: "",
      },
      targetMarker: {
        name: "block",
      },
    },
    text: defaultData.text,
  },
};
