// 图片填充方式
export enum ImageFillType {
  Fill, // 填充
  Auto, // 自动
  Stretch, // 拉伸
  Original, // 原始
  Tiled, // 平铺
}

// 连线样式
export enum ConnectorType {
  Rounded, // 圆角
  Smooth, // 平滑
  Normal, // 直线
}

// 边线类型
export enum LineType {
  solid = "",
  dashed = "5,5",
  dotted = "1,5",
  dashdot = "5,5,1,5",
}

// 关联类型
export enum CorrelationType {
  page,
  flow,
  scene,
  table,
  view,
}

// 边框圆角大小
export enum BorderSize {
  none = 0,
  medium = 5,
  large = 30,
}

// 主题类型
export enum TopicType {
  main = "main",
  branch = "branch",
  sub = "sub",
}

// 思维导图结构类型 左右分布、自由分布、右侧分布、左侧分布、树状图结构、组织结构、左侧鱼骨图、右侧鱼骨图、横向时间轴、向上时间轴、向下时间轴、树形图、右侧树形图、左侧树形图、右侧括号图、左侧括号图
export enum StructureType {
  leftRight = "leftRight",
  free = "free",
  right = "right",
  left = "left",
  tree = "tree",
  organization = "organization",
  leftFishbone = "leftFishbone",
  rightFishbone = "rightFishbone",
  horizontalTime = "horizontalTime",
  upwardTime = "upwardTime",
  downwardTime = "downwardTime",
  treeShape = "treeShape",
  rightTreeShape = "rightTreeShape",
  leftTreeShape = "leftTreeShape",
  rightBracket = "rightBracket",
  leftBracket = "leftBracket",
}

// 思维导图连接器样式 1、曲线 2、直线 3、圆角折线 4、折线
export enum MindmapConnectorType {
  curve = "curve",
  straight = "straight",
  rounded = "rounded",
  poly = "poly",
}

// 主题外框样式
export enum TopicBorderType {
  normal = "normal",
  rounded = "rounded",
  wavy = "wavy",
  trapezoid = "trapezoid",
}

// 图形类型
export enum GraphType {
  mindmap = "1",
  flowchart = "2",
  mindNotice = "3",
  uml = "4",
  net = "5",
  org = "6",
  bpmn = "7",
  er = "8",
  lane = "9",
  venn = "10",
}
