export default function Loading() {
  return (
    <div className="fixed w-full h-full flex items-center justify-center">
      <div className="flex">
        <div className="relative mx-auto h-10 w-10 animate-bounce">
          <div className="mx-auto h-16 w-16 animate-pulse rounded-full bg-gray-400"></div>
          <span className="absolute flex h-5 w-5 animate-spin">
            <span className="h-4 w-4 rounded-full bg-gray-400"> </span>
          </span>
        </div>
      </div>
    </div>
  );
}
