import { BorderSize, MindmapConnectorType } from "@/enum";

export const theme2 = () => {
  return {
    main: {
      fill: {
        fillType: "color",
        color1: "#30304D",
      },
      text: {
        color: "#fff",
        fontSize: 30,
      },
      stroke: {
        width: 0,
      },
      edge: {
        color: "#fff"
      },
      borderSize: BorderSize.medium
    },
    branch: {
      fill: {
        fillType: "color",
        color1: "transparent",
      },
      text: {
        color: "#000",
        fontSize: 18,
      },
      stroke: {
        width: 1,
        color: '#E3E3E3',
      },
      edge: {
        color: '#E3E3E3',
        width: 3,
      },
      borderSize: BorderSize.large
    },
    sub: {
      fill: {
        fillType: "color",
        color1: "transparent",
      },
      text: {
        color: "#000",
        fontSize: 14,
      },
      stroke: {
        width: 1,
        color: '#E3E3E3',
      },
      edge: {
        color: '#E3E3E3',
        width: 2,
      },
      borderSize: BorderSize.large
    },
    background: {
      fillType: "color",
      fill: "#fff",
      fillImageUrl: ""
    },
    branchConnector: MindmapConnectorType.rounded,
    subConnector: MindmapConnectorType.rounded,
  }
}