import { BorderSize, MindmapConnectorType } from "@/enum";

export const theme3 = () => {
  return {
    main: {
      fill: {
        fillType: "color",
        color1: "#50C28B",
      },
      text: {
        color: "#fff",
        fontSize: 30,
      },
      stroke: {
        width: 2,
        color: "#50C28B"
      },
      edge: {
        color: '#8A8A8A',
        width: 2,
      },
      borderSize: BorderSize.medium
    },
    branch: {
      fill: {
        fillType: "color",
        color1: "#fff",
      },
      text: {
        color: "#000",
        fontSize: 18,
      },
      stroke: {
        width: 1,
        color: '#23282D',
      },
      edge: {
        color: '#8A8A8A',
        width: 2,
      },
      borderSize: BorderSize.medium
    },
    sub: {
      fill: {
        fillType: "color",
        color1: "transparent",
      },
      text: {
        color: "#000",
        fontSize: 13,
      },
      stroke: {
        width: 0,
        color: '#23282D',
      },
      edge: {
        color: '#444',
        width: 2,
      },
      borderSize: BorderSize.medium
    },
    background: {
      fillType: "color",
      fill: "#fff",
      fillImageUrl: ""
    },
    branchConnector: MindmapConnectorType.straight,
    subConnector: MindmapConnectorType.rounded,
  }
}