import { BorderSize, MindmapConnectorType } from "@/enum";

export const theme4 = () => {
  return {
    main: {
      fill: {
        fillType: "color",
        color1: "#000227",
      },
      text: {
        color: "#fff",
        fontSize: 24,
      },
      stroke: {
        width: 0,
      },
      edge: {
        color: '#8A8A8A',
        width: 2,
      },
      borderSize: BorderSize.medium
    },
    branch: {
      fill: {
        fillType: "color",
        color1: "#fff",
      },
      text: {
        color: "#444",
        fontSize: 18,
      },
      stroke: {
        width: 2,
        color: '#EAA0CE',
      },
      edge: {
        color: '#EAA0CE',
        width: 3,
      },
      borderSize: BorderSize.medium
    },
    sub: {
      fill: {
        fillType: "color",
        color1: "transparent",
      },
      text: {
        color: "#444",
        fontSize: 14,
      },
      stroke: {
        width: 0,
      },
      edge: {
        color: '#EAA0CE',
        width: 2,
      },
      borderSize: BorderSize.medium
    },
    background: {
      fillType: "color",
      fill: "#fff",
      fillImageUrl: ""
    },
    branchConnector: MindmapConnectorType.straight,
    subConnector: MindmapConnectorType.rounded,
  }
}