import Process from "./process";
import Decision from "./decision";
import Terminator from "./terminator";
import Document from "./doucment";
import Data from "./data";
import predefinedProcess from "./predefinedProcess";
import StoredData from "./storedData";
import internalStorage from "./internalStorage";
import SequentialData from "./sequentialData";
import DirectData from "./directData";
import HorizontalDirectData from "./horizontalDirectData";
import ManualInput from "./manualInput";
import Card from "./card";
import PaperTape from "./paperTape";
import Display from "./display";
import ManualOperation from "./manualOperation";
import Preparation from "./preparation";
import ParallelMode from "./parallelMode";
import LoopLimit from "./loopLimit";
import OnPageReference from "./onPageReference";
import OffPageReference from "./offPageReference";
import Maybe from "./maybe";
import Summtion from "./summtion";
import Arrange from "./arrange";
import Merge from "./merge";
import RightAnnotation from "./rightAnnotation";
import LeftAnnotation from "./leftAnnotation";
import RightBraceFlow from "./rightBraceFlow";
import LeftBraceFlow from "./leftBraceFlow";

export const flowchart = [
  Process,
  Decision,
  Terminator,
  Document,
  Data,
  predefinedProcess,
  StoredData,
  internalStorage,
  SequentialData,
  DirectData,
  HorizontalDirectData,
  ManualInput,
  Card,
  PaperTape,
  Display,
  ManualOperation,
  Preparation,
  ParallelMode,
  LoopLimit,
  OnPageReference,
  Maybe,
  Summtion,
  OffPageReference,
  Arrange,
  Merge,
  RightAnnotation,
  LeftAnnotation,
  RightBraceFlow,
  LeftBraceFlow,
];
