import { BorderSize, MindmapConnectorType } from "@/enum";

export const theme5 = () => {
  return {
    main: {
      fill: {
        fillType: "color",
        color1: "#C9BE8E",
      },
      text: {
        color: "#fff",
        fontSize: 24,
      },
      stroke: {
        width: 0,
      },
      edge: {
        color: '#8A8A8A',
        width: 2,
      },
      borderSize: BorderSize.medium
    },
    branch: {
      fill: {
        fillType: "color",
        color1: "#fff",
      },
      text: {
        color: "#41494C",
        fontSize: 16,
      },
      stroke: {
        width: 0,
        color: '#EAA0CE',
      },
      edge: {
        color: '#8C9291',
        width: 3,
      },
      borderSize: BorderSize.medium
    },
    sub: {
      fill: {
        fillType: "color",
        color1: "transparent",
      },
      text: {
        color: "#41494E",
        fontSize: 14,
      },
      stroke: {
        width: 0,
      },
      edge: {
        color: '#8C9291',
        width: 2,
      },
      borderSize: BorderSize.medium
    },
    background: {
      fillType: "color",
      fill: "#ECEDE5",
      fillImageUrl: ""
    },
    branchConnector: MindmapConnectorType.straight,
    subConnector: MindmapConnectorType.straight,
  }
}