import {defineConfig, presetAttributify, presetUno} from 'unocss';

export function createConfig({strict = true, dev = true} = {}) {
  return defineConfig({
    envMode: dev ? 'dev' : 'build', presets: [presetAttributify({strict}), presetUno()],
    rules: [
      ['flex-important', {display: 'flex !important'}],
    ]
  });
}

export default createConfig();